#Demo1.ps1
#Initialisation du framework et configuration par dfaut
.\InitializeLG4N.ps1 
 #Cre un logger, il utilise l'appender cr lors de la configuration du Framework Log4net 
$Log = Get-LogLogger "MonLog"

 #Configuration par dfaut du framework avec un Appender console 
Set-LogBasicConfigurator -Default
 #Log sur la console
$Log.Info("TestMessage1")
#Et c'est tout ! 
#Le systme de log est actif
 
 #Affiche les appenders du logger Root, ici un seul mais qui n'est pas nomm
(Get-LogRootLogger -Default).Appenders|Ft Name, @{Label="Type";Expression={$_.GetType().Name}}

 # !!!!!!!!!!!!!  configuration par dfaut avec un Appender spcifique !!!!!!!!!!!!!
 
$Pattern = "%date{dd-MM-yyyy } [%thread] %-5level [%x] - %message%newline"
 #Configure le framework avec l'appender prcdement cr dans le pipeline
 #ATTENTION : On doit imprativement activer les 'options' de l'appender avant de l'utiliser 
New-LogConsoleAppender $Pattern "Test" -Activate|Set-LogBasicConfigurator

 #Ou bien on prcise le segment o on active l'appender
#New-LogConsoleAppender $Pattern "Test"|....|Enable-LogAppender|Set-LogBasicConfigurator
 
 #Notre logger reste actif mais l'appender a t modifi.
 #Ici seule la chane de formatage diffre   
$Log.Info("TestMessage2");

 #Affiche les appenders du logger Root, ici un seul nomm "Test"
(Get-LogRootLogger -Default).Appenders|Ft Name, @{Label="Type";Expression={$_.GetType().Name}}
 
 #On quitte et finalise proprement le framework 
Stop-Log
