#Demo6.ps1
#Cration et configuration d'un appender et son rattachement  un logger 
#On l'ajoute dans la liste des appenders du Logger prcis
.\InitializeLG4N.ps1 


 #Configuration par dfaut avec un FileAppender
$FileName="C:\Temp\LogDemo4.txt"
 
New-LogFileAppender $FileName -n "FichierDeLog"|`
 Add-LogLayout -L "%date %-5level - %message%newline"|`
 Enable-LogAppender|`
 Set-LogBasicConfigurator
 
$MonLogger = Get-LogLogger "LogPowerShell" 
$MonLogger.Info("Message 1")
gc "c:\temp\LogDemo4.txt"


[System.Collections.Hashtable[]] $ConfigColors=@(
   @{Level="Warn";FColor="Yellow";BColor=""},
   @{Level="Info";FColor="Cyan";BColor=""},
   @{Level="Debug";FColor="Green";BColor=""},
   @{Level="Error";FColor="Red";BColor=""}
 )

New-LogColoredConsoleAppender $ConfigColors -N "Console_colorise"|`
 Add-LogLayout -L "%date %-5level - %message%newline" |`
 Enable-LogAppender|`
 Add-LogLoggerAppender -L $MonLogger

$MonLogger.Info("Message 2")
 #On trace dans le fichier et sur la console
gc "c:\temp\LogDemo4.txt"
  
  #Affiche les appenders du logger Root, ici un seul nomm "FichierDeLog"
(Get-LogRootLogger -Default).Appenders|Ft Name, @{Label="Type";Expression={$_.GetType().Name}}
 #Affiche les appenders du logger $MonLogger, ici un seul nomm "Console_colorise"
$MonLogger.Logger.Appenders

Stop-Log
 